package de.ivu.elect.presentation.stimmeingabe.form;

import de.ivu.elect.business.stimmeingabe.control.plausi.GruppeStimmenAnzahlenUngleichGruppeStimmenAnzahlenInAnderenErfassungsgebietenPlausiCustomData;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfigurationPropertyContext;
import de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty;

public class StimmeingabePlausiAnzahlComparedToAnzahlKonfiguriertCustomDataAnzahlGruppenRelevantProperty extends AbstractLongProperty {

  private final GruppeStimmenAnzahlenUngleichGruppeStimmenAnzahlenInAnderenErfassungsgebietenPlausiCustomData customData;

  private final StimmeingabePlausiKonfigurationPropertyContext context;

  public StimmeingabePlausiAnzahlComparedToAnzahlKonfiguriertCustomDataAnzahlGruppenRelevantProperty(GruppeStimmenAnzahlenUngleichGruppeStimmenAnzahlenInAnderenErfassungsgebietenPlausiCustomData customData, StimmeingabePlausiKonfigurationPropertyContext context) {
    this.customData = customData;
    this.context = context;
  }

  @Override
  public String getDefaultLabel() {
    return getMessage("GruppeStimmenAnzahlenUngleichGruppeStimmenAnzahlenInAnderenErfassungsgebietenPlausiCustomData.anzahlGruppenRelevant");
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public Long getValue() {
    return customData.getAnzahlGruppenRelevant();
  }

  @Override
  public void setValue(Long value) {
    customData.setAnzahlGruppenRelevant(value);
  }

  @Override
  public long getMinValue() {
    return 1L;
  }
}
